petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDTGaussTensorQuadrature

creates a tensor-product Gauss quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussTensorQuadrature(PetscInt dim, PetscInt Nc, PetscInt npoints, PetscReal a, PetscReal b, PetscQuadrature *q)

Not Collective

### Input Arguments

| dim | - The spatial dimension
| Nc | - The number of components
| npoints | - number of points in one dimension
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Argument

q -A PetscQuadrature object

### See Also

PetscDTGaussQuadrature(), PetscDTLegendreEval()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages